
QGIS Application - Bug report #9437

WMS Client getting WGS84 BBOX wrong

2014-01-27 05:25 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 18031

Description

Using WMS:

1) Connect to : http://maps.warwickshire.gov.uk/gs/ows

2) Add item 15 (z_OS_Raster_basemap)

3) QGIS might hang for while - be patient

4) Go into layer properties -> Metadata. QGIS hangs again, be patient.

5) Scroll down to "Selected Layers".

You'll see it reporting this:

@WGS 84 Bounding Box -166.5035830208277616,-78.4984994113444685 : 146.8170379665007772,86.1363868141160367

This is invalid. If you look in the GetCapabilities for this service, you'll see it says:

<EX_GeographicBoundingBox>

<westBoundLongitude>

-9.497138102782076

</westBoundLongitude>

<eastBoundLongitude>

3.6320205884284045

</eastBoundLongitude>

<southBoundLatitude>

49.76680727257757

</southBoundLatitude>

<northBoundLatitude>

61.57770187316205

</northBoundLatitude>

</EX_GeographicBoundingBox>

Master 5192e8d

History

#1 - 2014-01-27 05:28 AM - Jonathan Moules

Might be related to #6941 and/or #9196

#2 - 2017-05-01 01:08 AM - Giovanni Manghi
http://maps.warwickshire.gov.uk/gs/ows


- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
